Gecode::Int::TaskTraits< Cumulative::ManFlexTask > Class Reference

Task traits for mandatory flexible tasks. More...

`#include <cumulative.hh>`

## Public Types

typedef Cumulative::ManFlexTaskFwd | TaskViewFwd
| The forward task view type.
typedef Cumulative::ManFlexTaskBwd | TaskViewBwd
| The backward task view type.
typedef Unary::ManFlexTask | UnaryTask
| The corresponding unary task type.

## Detailed Description

Task traits for mandatory flexible tasks.

Definition at line 518 of file cumulative.hh.

## Member Typedef Documentation

## TaskViewFwd

typedef Cumulative::ManFlexTaskFwd Gecode::Int::TaskTraits< Cumulative::ManFlexTask >::TaskViewFwd

The forward task view type.

Definition at line 521 of file cumulative.hh.

## TaskViewBwd

typedef Cumulative::ManFlexTaskBwd Gecode::Int::TaskTraits< Cumulative::ManFlexTask >::TaskViewBwd

The backward task view type.

Definition at line 523 of file cumulative.hh.

## UnaryTask

typedef Unary::ManFlexTask Gecode::Int::TaskTraits< Cumulative::ManFlexTask >::UnaryTask

The corresponding unary task type.

Definition at line 525 of file cumulative.hh.

The documentation for this class was generated from the following file:

- gecode/int/cumulative.hh